From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/
Date: Fri, 28 Jan 2022 08:36:47 +0000 (UTC) [thread overview]
Message-ID: <1643358935.830bbc9ea89c75993c45e36ecaafeea56ee76a3d.sam@gentoo> (raw)
commit: 830bbc9ea89c75993c45e36ecaafeea56ee76a3d
Author: Christian Strahl <c.a.strahl <AT> gmail <DOT> com>
AuthorDate: Thu Jan 27 18:27:01 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 28 08:35:35 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=830bbc9e
dev-util/clion: version bump to 2021.3.2
Package-Manager: Portage-3.0.30-r1, Repoman-3.0.3-r1
Signed-off-by: Christian Strahl <c.a.strahl <AT> gmail.com>
Closes: https://bugs.gentoo.org/829906
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/clion/Manifest | 1 +
dev-util/clion/clion-2021.3.2.ebuild | 106 +++++++++++++++++++++++++++++++++++
2 files changed, 107 insertions(+)
diff --git a/dev-util/clion/Manifest b/dev-util/clion/Manifest
index 12e379e02510..7e2ff321d84f 100644
--- a/dev-util/clion/Manifest
+++ b/dev-util/clion/Manifest
@@ -1 +1,2 @@
+DIST CLion-2021.3.2.tar.gz 747081798 BLAKE2B 68be520b06e2d59d3a240b03e8e64cdd0a96e96022fc72fd531813fe0d417055b58d36a6a5a0360e3121cbb111ccdecf96b25778e2368fb21b92f404013a4604 SHA512 6c965c745588e49fcb3c2ecadcca38817884bd3f830d6b5f1042a6edff5687419fc2375bb41063c808c894588c371d2a860a75ceed86a187eec7fd9fce380678
DIST CLion-2021.3.tar.gz 741453727 BLAKE2B 0bcc79df3180256732523df6acf34f7eecbd08f87427f41796ebef342d71d4a0643770fd8e08c25dbd7e96360e72806f7fe1b57a199cc7fd53ad34cb85ff1d74 SHA512 d4b9f8b8cf8f218c45a568498630216f55540b2094ec7fe2a36f04478ff713c34dc7431da3824da44c61ae999b475a4ae7d4c7c9c7e02d0ca0ab6520ecf8cedb
diff --git a/dev-util/clion/clion-2021.3.2.ebuild b/dev-util/clion/clion-2021.3.2.ebuild
new file mode 100644
index 000000000000..93132025c95b
--- /dev/null
+++ b/dev-util/clion/clion-2021.3.2.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop wrapper
+
+DESCRIPTION="A complete toolset for C and C++ development"
+HOMEPAGE="https://www.jetbrains.com/clion"
+SRC_URI="https://download.jetbrains.com/cpp/CLion-${PV}.tar.gz"
+
+LICENSE="|| ( IDEA IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )
+ Apache-1.1 Apache-2.0 BSD BSD-2 CC0-1.0 CDDL-1.1 CPL-0.5 CPL-1.0
+ EPL-1.0 EPL-2.0 GPL-2 GPL-2-with-classpath-exception GPL-3 ISC JDOM
+ LGPL-2.1+ LGPL-3 MIT MPL-1.0 MPL-1.1 OFL public-domain PSF-2 UoI-NCSA ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+RESTRICT="bindist mirror splitdebug"
+
+BDEPEND="dev-util/patchelf"
+
+# RDEPENDS may cause false positives in repoman.
+# clion requires cmake and gdb at runtime to build and debug C/C++ projects
+RDEPEND="
+ app-accessibility/at-spi2-atk:2
+ app-accessibility/at-spi2-core:2
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ dev-util/cmake
+ dev-util/ninja
+ media-libs/alsa-lib
+ media-libs/freetype:2
+ media-libs/mesa
+ net-print/cups
+ sys-apps/dbus
+ sys-devel/gdb
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXtst
+ x11-libs/libXxf86vm
+ x11-libs/libdrm
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/libxshmfence"
+
+QA_PREBUILT="opt/${P}/*"
+
+src_prepare() {
+ default
+
+ local remove_me=(
+ bin/cmake
+ bin/lldb/linux
+ bin/gdb/linux
+ license/CMake*
+ lib/pty4j-native/linux/aarch64
+ lib/pty4j-native/linux/arm
+ lib/pty4j-native/linux/mips64el
+ lib/pty4j-native/linux/ppc64le
+ plugins/remote-dev-server/selfcontained
+ )
+
+ use amd64 || remove_me+=( lib/pty4j-native/linux/x86_64)
+ use x86 || remove_me+=( lib/pty4j-native/linux/x86)
+
+ rm -rv "${remove_me[@]}" || die
+
+ for file in "jbr/lib/"/{libjcef.so,jcef_helper}
+ do
+ if [[ -f "${file}" ]]; then
+ patchelf --set-rpath '$ORIGIN' ${file} || die
+ fi
+ done
+}
+
+src_install() {
+ local dir="/opt/${P}"
+
+ insinto "${dir}"
+ doins -r *
+ fperms 755 "${dir}"/bin/{clion.sh,fsnotifier,inspect.sh,ltedit.sh,repair,clang/linux/{clangd,clang-tidy,clazy-standalone,llvm-symbolizer},ninja/linux/ninja}
+
+ if [[ -d jbr ]]; then
+ fperms 755 "${dir}"/jbr/bin/{jaotc,java,javac,jdb,jjs,jrunscript,keytool,pack200,rmid,rmiregistry,serialver,unpack200}
+ # Fix #763582
+ fperms 755 "${dir}"/jbr/lib/{chrome-sandbox,jcef_helper,jexec,jspawnhelper}
+ fi
+
+ make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+ newicon "bin/${PN}.svg" "${PN}.svg"
+ make_desktop_entry "${PN}" "clion" "${PN}" "Development;IDE;"
+
+ # recommended by: https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+ dodir /usr/lib/sysctl.d/
+ echo "fs.inotify.max_user_watches = 524288" > "${D}/usr/lib/sysctl.d/30-clion-inotify-watches.conf" || die
+}
next reply other threads:[~2022-01-28 8:36 UTC|newest]
Thread overview: 127+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-28 8:36 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-27 6:45 [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/ Viorel Munteanu
2025-01-05 13:07 Florian Schmaus
2024-10-26 15:00 Viorel Munteanu
2024-06-11 17:04 Ulrich Müller
2024-05-25 5:05 Arthur Zamarin
2024-05-13 17:33 Ulrich Müller
2024-05-13 16:11 Ulrich Müller
2024-04-14 9:57 Viorel Munteanu
2024-04-14 9:57 Viorel Munteanu
2023-07-14 6:50 Joonas Niilola
2023-07-14 6:50 Joonas Niilola
2023-04-10 10:41 Joonas Niilola
2023-04-10 10:41 Joonas Niilola
2023-02-24 15:09 Joonas Niilola
2023-02-10 8:57 Joonas Niilola
2023-02-10 8:57 Joonas Niilola
2023-02-09 15:53 Joonas Niilola
2023-01-12 14:07 Joonas Niilola
2022-12-23 10:22 Viorel Munteanu
2022-11-22 13:55 Joonas Niilola
2022-09-14 17:17 Matthew Smith
2022-09-10 8:27 Matthew Smith
2022-07-05 9:06 Joonas Niilola
2022-07-05 9:06 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-06-14 7:13 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-01-28 8:36 Sam James
2021-12-24 4:47 Sam James
2021-12-24 4:47 Sam James
2021-08-14 5:59 Joonas Niilola
2021-08-14 5:59 Joonas Niilola
2021-08-14 5:59 Joonas Niilola
2021-07-02 7:38 Joonas Niilola
2021-07-02 7:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-03-23 12:32 Joonas Niilola
2021-03-23 12:32 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-01-05 8:40 Joonas Niilola
2021-01-05 8:40 Joonas Niilola
2021-01-04 12:34 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2020-10-08 6:57 Joonas Niilola
2020-10-08 6:57 Joonas Niilola
2020-08-21 7:15 Joonas Niilola
2020-08-21 7:15 Joonas Niilola
2020-08-21 7:15 Joonas Niilola
2020-07-07 13:30 Joonas Niilola
2020-07-07 13:30 Joonas Niilola
2020-05-13 13:17 Joonas Niilola
2020-05-13 13:17 Joonas Niilola
2020-04-16 8:11 Joonas Niilola
2020-04-16 8:11 Joonas Niilola
2020-03-26 7:22 Joonas Niilola
2020-03-26 7:22 Joonas Niilola
2020-02-06 6:20 Joonas Niilola
2020-02-06 6:20 Joonas Niilola
2020-02-06 6:20 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-11-30 7:50 Joonas Niilola
2019-10-18 5:25 Joonas Niilola
2019-10-18 5:25 Joonas Niilola
2019-10-13 12:36 Joonas Niilola
2019-10-13 12:36 Joonas Niilola
2019-09-26 16:41 Ulrich Müller
2019-09-26 16:41 Ulrich Müller
2019-09-15 16:49 Joonas Niilola
2019-09-15 16:49 Joonas Niilola
2019-07-30 3:33 Georgy Yakovlev
2019-07-30 3:33 Georgy Yakovlev
2019-05-10 18:25 Georgy Yakovlev
2019-05-10 18:25 Georgy Yakovlev
2019-04-16 18:27 Georgy Yakovlev
2019-04-16 18:27 Georgy Yakovlev
2019-02-15 23:12 Patrice Clement
2019-02-15 23:12 Patrice Clement
2019-01-31 18:52 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2018-11-27 22:41 Georgy Yakovlev
2018-11-27 22:41 Georgy Yakovlev
2018-09-23 17:45 Georgy Yakovlev
2018-09-23 17:45 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-03-30 21:27 Michał Górny
2018-03-30 21:27 Michał Górny
2018-03-24 15:34 Michał Górny
2018-03-24 15:34 Michał Górny
2018-02-17 15:26 Patrice Clement
2018-02-17 15:26 Patrice Clement
2018-02-11 10:53 Michał Górny
2018-01-05 23:57 Craig Andrews
2018-01-05 23:57 Craig Andrews
2017-12-02 22:53 Patrice Clement
2017-12-02 22:53 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-09-02 17:30 Patrice Clement
2017-09-02 17:30 Patrice Clement
2017-08-05 11:08 Michał Górny
2017-08-05 11:08 Michał Górny
2017-07-20 20:30 Patrice Clement
2017-07-20 20:30 Patrice Clement
2017-06-12 21:46 Patrice Clement
2017-06-12 21:46 Patrice Clement
2017-05-21 18:53 Michał Górny
2017-05-21 18:53 Michał Górny
2017-04-26 14:04 Michał Górny
2017-04-26 14:04 Michał Górny
2017-04-13 13:12 Patrice Clement
2017-04-13 13:12 Patrice Clement
2016-08-11 8:35 Patrice Clement
2016-03-09 9:49 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1643358935.830bbc9ea89c75993c45e36ecaafeea56ee76a3d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox